/// <reference types="dragula" />
import * as React from 'react';
import * as common from 'schema-based-json-editor';
/**
 * @public
 */
export declare type Props = common.Props<common.ArraySchema, common.ValueType[]>;
/**
 * @public
 */
export declare type State = Partial<{
    renderSwitch: number;
    collapsed?: boolean;
    value?: common.ValueType[];
    drak?: dragula.Drake;
    errorMessage: string;
    invalidIndexes: number[];
    filter: string;
}>;
export declare class ArrayEditor extends React.Component<Props, State> {
    private renderSwitch;
    private collapsed;
    private value?;
    private drak?;
    private errorMessage;
    private invalidIndexes;
    private filter;
    constructor(props: Props);
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
    private collapseOrExpand;
    private toggleOptional;
    private validate;
    private addItem;
    private onChange;
    private onFilterChange;
    private onDeleteFunction;
    private isChecked;
    private onChangeCheckbox;
    private onChangeSelect2;
    private get isReadOnly();
    private get hasDeleteButtonFunction();
    private get hasAddButton();
    private get getValue();
    private get titleToShow();
    private get showFilter();
    private get className();
    private get options();
}
