import * as React from 'react';
import * as common from 'schema-based-json-editor';
export * from 'schema-based-json-editor';
/**
 * @public
 */
export interface Props {
    schema: common.Schema;
    initialValue: common.ValueType;
    updateValue: (value: common.ValueType | undefined, isValid: boolean) => void;
    theme?: string;
    icon?: string;
    locale?: common.Locale | null;
    readonly?: boolean;
    dragula?: common.Dragula;
    markdownit?: any;
    hljs?: common.HLJS;
    forceHttps?: boolean;
    disableCollapse?: boolean;
    noSelect2?: boolean;
    minItemCountIfNeedFilter?: number;
    monacoEditor?: common.MonacoEditor;
}
/**
 * @public
 */
export declare class JSONEditor extends React.Component<Props, unknown> {
    private md?;
    constructor(props: Props);
    private getReference;
    render(): JSX.Element;
    private updateValue;
}
